> For the complete documentation index, see [llms.txt](https://docs.intents.aurora.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intents.aurora.dev/api-reference/swap-api-reference/get-supported-tokens.md).

# Get supported tokens

## GET /api/tokens/{apiKey}

> Get asset available tokens and volume statistics.

```json
{"openapi":"3.0.3","info":{"title":"@aurora-is-near/intents-fee-service","version":"0.0.1"},"servers":[{"url":"https://intents-api.aurora.dev"}],"security":[],"paths":{"/api/tokens/{apiKey}":{"get":{"tags":["tokens"],"description":"Get asset available tokens and volume statistics.","parameters":[{"schema":{"type":"string"},"in":"path","name":"apiKey","required":true,"description":"API key generated at [https://studio.aurora.dev](https://studio.aurora.dev)"}],"responses":{"200":{"description":"Assets and stats retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"asset_stats":{"type":"array","items":{"type":"object","properties":{"token_id":{"type":"string","description":"ID of the asset"},"blockchain":{"type":"string","description":"Blockchain associated with the token"},"symbol":{"type":"string","description":"Token symbol (e.g. BTC, ETH)"},"volume_amount_usd":{"type":"string","description":"24-hours volume of the asset denominated in USD"}},"required":["token_id","blockchain","symbol","volume_amount_usd"],"additionalProperties":false},"description":"24-hour asset volume statistics used by the widget"},"tokens":{"type":"array","items":{"type":"object","properties":{"assetId":{"type":"string","description":"Unique asset identifier"},"decimals":{"type":"number","description":"Number of decimals for the token"},"blockchain":{"type":"string","description":"Blockchain associated with the token.\n\nAvailable options: `near`, `eth`, `base`, `arb`, `btc`, `sol`, `ton`, `dash`, `doge`, `xrp`, `zec`, `gnosis`, `bera`, `bsc`, `pol`, `tron`, `sui`, `op`, `avax`, `cardano`, `ltc`, `xlayer`, `monad`, `bch`, `adi`, `plasma`, `scroll`, `starknet`, `aleo`."},"symbol":{"type":"string","description":"Token symbol (e.g. BTC, ETH)"},"price":{"type":"number","description":"Current price of the token in USD"},"priceUpdatedAt":{"type":"string","description":"Date when the token price was last updated"},"contractAddress":{"description":"Contract address of the token, if available","type":"string"}},"required":["assetId","decimals","blockchain","symbol","price","priceUpdatedAt"],"additionalProperties":false},"description":"Tokens currently supported by the Intents API"}},"required":["asset_stats","tokens"],"additionalProperties":false,"description":"Assets and stats retrieved successfully"}}}},"500":{"description":"Internal Server Error - Failed to fetch data from Dune or tokens API","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"},"error":{"type":"string"},"data":{"type":"object","additionalProperties":{}},"statusCode":{"type":"number","enum":[500]}},"required":["message","statusCode"],"additionalProperties":false,"description":"Internal Server Error - Failed to fetch data from Dune or tokens API"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.intents.aurora.dev/api-reference/swap-api-reference/get-supported-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
